package net.northking.cctp.se.component;

import java.util.List;
import java.util.Map;

public interface ComponentManagementService {


    /**
     * 创建一个独立的新的组件库实例
     *
     * @param libCom
     * @return
     * @throws Exception
     */
    ComponentLibrary newInstance(String libCom) throws Exception;

    /**
     * 获取现有加载的组件库
     *
     * @return key-库名，value-版本号
     */
    Map<String, String> getExistMap();

    /**
     * 重新加载列表
     *
     * @param updateList
     */
    void reloadLibrary(List<ComLibraryInfoDto> updateList);
}
